import { __awaiter } from "tslib";
import { foundationLayoutComponents } from '@genesislcap/foundation-layout';
import { getApp } from '@genesislcap/foundation-shell/app';
import { FoundationRouter } from '@genesislcap/foundation-ui';
import * as rapidDesignSystem from '@genesislcap/rapid-design-system';
import { rapidGridComponents } from '@genesislcap/rapid-grid-pro';
/**
 * registerComponents.
 * @public
 */
export function registerComponents() {
    return __awaiter(this, void 0, void 0, function* () {
        getApp().registerComponents({
            designSystem: rapidDesignSystem,
        });
        rapidDesignSystem
            .provideDesignSystem()
            .register(rapidDesignSystem.baseComponents, rapidGridComponents, foundationLayoutComponents);
    });
}
/**
 * Ensure tree shaking doesn't remove these.
 */
FoundationRouter;
