import { __decorate } from "tslib";
import { getApp } from '@genesislcap/foundation-shell/app';
import { AbstractStoreRoot, registerStore, } from '@genesislcap/foundation-store';
import { observable } from '@genesislcap/web-core';
class DefaultStore extends AbstractStoreRoot {
    constructor() {
        super();
        /**
         * Register the store root
         */
        getApp().registerStoreRoot(this);
        this.createListener('change-selected-microservice-name', (selectedMicroserviceName) => {
            this.commit.selectedMicroserviceName = selectedMicroserviceName;
        });
        this.createListener('change-selected-resource-data', (selectedResourceData) => {
            this.commit.selectedResourceData = selectedResourceData;
        });
    }
    emitSelectedMicroserviceName(selectedMicroserviceName) {
        this.emit('change-selected-microservice-name', selectedMicroserviceName);
    }
    emitSelectedResourceData(selectedResourceData) {
        this.emit('change-selected-resource-data', selectedResourceData);
    }
}
__decorate([
    observable
], DefaultStore.prototype, "selectedMicroserviceName", void 0);
__decorate([
    observable
], DefaultStore.prototype, "selectedResourceData", void 0);
export const Store = registerStore(DefaultStore, 'Store');
